DocumentationList Runs

List runs

GET /api/v1/tasks/runs - List task runs.

List runs

GET /api/v1/tasks/runs

Query parameters

ParamTypeDefaultDescription
limitint201-100
statusstringNoneFilter: queued, running, succeeded, failed, cancelled
cursorstringNonePagination cursor from next_cursor
session_iduuidNoneFilter by session

Response (200)

json
{
  "data": [
    {
      "run_id": "run_abc123...",
      "session_id": "uuid",
      "status": "succeeded",
      "model": "gpt-5.6-luna",
      "source": "api",
      "output_text": "The answer is...",
      "error": null,
      "started_at": "2026-02-27T00:00:01.000Z",
      "finished_at": "2026-02-27T00:00:05.000Z",
      "created_at": "2026-02-27T00:00:00.000Z"
    }
  ],
  "next_cursor": "2026-02-26T00:00:00.000Z"
}